# Method: albums.patch

- [HTTP request](https://developers.google.com/photos/library/reference/rest/v1/albums/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/photos/library/reference/rest/v1/albums/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/photos/library/reference/rest/v1/albums/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/photos/library/reference/rest/v1/albums/patch#body.request_body)
- [Response body](https://developers.google.com/photos/library/reference/rest/v1/albums/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/photos/library/reference/rest/v1/albums/patch#body.aspect)
- [Try it!](https://developers.google.com/photos/library/reference/rest/v1/albums/patch#try-it)

Update the app created album with the specified `id`. Only the `id`, `title` and `coverPhotoMediaItemId` fields of the album are read. The album must have been created by the developer via the API.

### HTTP request

`PATCH https://photoslibrary.googleapis.com/v1/albums/{album.id}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `album.id` | `string` Identifier for the album. This is a persistent identifier that can be used between sessions to identify this album. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Indicate what fields in the provided album to update. The only valid values are `title` and `coverPhotoMediaItemId`. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/photos/library/reference/rest/v1/albums#Album`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/photos/library/reference/rest/v1/albums#Album`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/photoslibrary.edit.appcreateddata`